# Delete account for project

Deletes the account for a project.

    Deleting an account is only possible if there is no sender assigned to the account.

Endpoint: DELETE /v1/projects/{projectId}/whatsapp
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the <a href="https://dashboard.sinch.com/">Sinch Dashboard</a>.

## Response 204:

  - `204` (unknown)
    Account deleted

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_initialized

  - `message` (string)
    Human readable message.
    Example: Project not initialized for WhatsApp.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the project ID is correct and that it has been onboarded for WhatsApp.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: account_has_senders

  - `message` (string)
    Human readable message.
    Example: Account has senders.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Delete senders before deleting the account.

  - `additionalInformation` (object)
    Additional information for error.
    Example: {"projectId":"projectId","senderIds":["437f8791-69ec-42af-9271-59b86b80178d","62550a35-2307-4ff1-86e4-41b0cbc7b7cb"]}

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: template_could_not_delete_drafts

  - `message` (string)
    Human readable message.
    Example: Couldn't delete template drafts.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please try again later, if the error persists, please contact support.

